Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module era :: Class Era |
[frames] | no frames]

# Class Era

source code

           object --+
                    |
        base.ItemBase --+
                        |
           object --+   |
                    |   |
    item.TimelineItem --+
                        |
                       Era

A clearly defined period of time of arbitrary but well-defined length. An Era is indicated in a timeline, by setting the background color to the Era color for the Era time period. The Era name is also drawn on the timeline within the Era time period.

Instance Methods
__init__(self, db=None, id_=None, immutable_value=ImmutableEra()) x.__init__(...) initializes x; see help(type(x)) for signature | source code
save(self) | source code
delete(self) | source code
__eq__(self, other) | source code
__ne__(self, other) | source code
__gt__(self, other) | source code
__lt__(self, other) | source code
ends_today(self) | source code
set_ends_today(self, value) | source code
update(self, start_time, end_time, name, color=DEFAULT_ERA_COLOR) | source code
set_name(self, name) | source code
get_name(self) | source code
set_color(self, color) | source code
get_color(self) | source code
overlapping(self, era) | source code
Inherited from `base.ItemBase`: `db`, `duplicate`, `ensure_id`, `get_id`, `has_id`, `id`, `set_id` Inherited from `item.TimelineItem`: `distance_to`, `end_to_end`, `get_end_time`, `get_start_time`, `get_time_period`, `inside_period`, `is_period`, `mean_time`, `move_delta`, `overlaps`, `set_time_period`, `start_to_end`, `start_to_start`, `time_span`, `update_period`, `update_period_o` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| name = `property(get_name, set_name)`
| color = `property(get_color, set_color)`
Inherited from `item.TimelineItem`: `time_period`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db=None, id_=None, immutable_value=ImmutableEra()) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)